xine-lib: dvd_input_plugin_s Struct Reference

xine-lib 1.2.12

Data Fields
dvd_input_plugin_s Struct Reference

## Data Fields
input_plugin_t | input_plugin
xine_stream_t * | stream
xine_event_queue_t * | event_queue
int | pause_timer
int | pause_counter
time_t | pause_end_time
int64_t | pg_length
int64_t | pgc_length
int64_t | cell_start
int64_t | pg_start
int32_t | buttonN
int | typed_buttonN
int32_t | mouse_buttonN
int | mouse_in
int | opened
int | seekable
int | mode
int | tt
int | pr
char * | mrl
dvdnav_t * | dvdnav
const char * | dvd_name
char * | device
int | title
int | part
pthread_mutex_t | buf_mutex
dvd_input_saved_buf_t * | saved_bufs
dvd_input_saved_buf_t * | saved_free
unsigned int | saved_used
unsigned int | saved_size
uint32_t | user_conf_version
int32_t | user_read_ahead
int32_t | user_seek_mode
int32_t | user_region
char | user_lang4 [4]
int | freeing

## Field Documentation

## ◆ buf_mutex

pthread_mutex_t dvd_input_plugin_s::buf_mutex

## ◆ buttonN

int32_t dvd_input_plugin_s::buttonN

## ◆ cell_start

int64_t dvd_input_plugin_s::cell_start

## ◆ device

char* dvd_input_plugin_s::device

## ◆ dvd_name

const char* dvd_input_plugin_s::dvd_name

## ◆ dvdnav

dvdnav_t* dvd_input_plugin_s::dvdnav

## ◆ event_queue

xine_event_queue_t* dvd_input_plugin_s::event_queue

## ◆ freeing

int dvd_input_plugin_s::freeing

## ◆ input_plugin

input_plugin_t dvd_input_plugin_s::input_plugin

## ◆ mode

int dvd_input_plugin_s::mode

## ◆ mouse_buttonN

int32_t dvd_input_plugin_s::mouse_buttonN

## ◆ mouse_in

int dvd_input_plugin_s::mouse_in

## ◆ mrl

char* dvd_input_plugin_s::mrl

## ◆ opened

int dvd_input_plugin_s::opened

## ◆ part

int dvd_input_plugin_s::part

## ◆ pause_counter

int dvd_input_plugin_s::pause_counter

## ◆ pause_end_time

time_t dvd_input_plugin_s::pause_end_time

## ◆ pause_timer

int dvd_input_plugin_s::pause_timer

## ◆ pg_length

int64_t dvd_input_plugin_s::pg_length

## ◆ pg_start

int64_t dvd_input_plugin_s::pg_start

## ◆ pgc_length

int64_t dvd_input_plugin_s::pgc_length

## ◆ pr

int dvd_input_plugin_s::pr

## ◆ saved_bufs

dvd_input_saved_buf_t* dvd_input_plugin_s::saved_bufs

## ◆ saved_free

dvd_input_saved_buf_t* dvd_input_plugin_s::saved_free

## ◆ saved_size

unsigned int dvd_input_plugin_s::saved_size

## ◆ saved_used

unsigned int dvd_input_plugin_s::saved_used

## ◆ seekable

int dvd_input_plugin_s::seekable

## ◆ stream

xine_stream_t* dvd_input_plugin_s::stream

## ◆ title

int dvd_input_plugin_s::title

## ◆ tt

int dvd_input_plugin_s::tt

## ◆ typed_buttonN

int dvd_input_plugin_s::typed_buttonN

## ◆ user_conf_version

uint32_t dvd_input_plugin_s::user_conf_version

## ◆ user_lang4

char dvd_input_plugin_s::user_lang4[4]

## ◆ user_read_ahead

int32_t dvd_input_plugin_s::user_read_ahead

## ◆ user_region

int32_t dvd_input_plugin_s::user_region

## ◆ user_seek_mode

int32_t dvd_input_plugin_s::user_seek_mode

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/input_dvd.c